Loading...
Searching...
No Matches
casacore::TableParseSortKey Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TableParseSortKey.h>`

## Public Member Functions

| TableParseSortKey ()
| Construct from a given expression.
| TableParseSortKey (const TableExprNode &)
| Construct from a given expression.
| TableParseSortKey (const TableExprNode &, Sort::Order)
| Construct from a given expression and order.
const TableExprNode & | node () const
| Get the expression node.
Sort::Order | order () const
| Get the sort order.
Bool | orderGiven () const
| Is the order given?
std::shared_ptr< ArrayBase > | addSortValues (Sort &sort, Sort::Order mainOrder, const Vector< rownr_t > &) const
| Add the values of the sort key to the Sort object by reading the values of the expression into an array.

## Private Member Functions

void | checkNode () const
| Check if the node results in a scalar and does not contain aggregate functions.

## Private Attributes

TableExprNode | node_p
Sort::Order | order_p
Bool | given_p

## Detailed Description

Helper class for sort keys in TableParse

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

An object of this class is used to hold the sort expression and sort order of a single sort key.

Definition at line 52 of file TableParseSortKey.h.

## Constructor & Destructor Documentation

## TableParseSortKey() [1/3]

casacore::TableParseSortKey::TableParseSortKey | ( |  | ) |

Construct from a given expression.

The order is not given.

## TableParseSortKey() [2/3]

casacore::TableParseSortKey::TableParseSortKey | ( | const TableExprNode & |  | ) |

explicit

Construct from a given expression.

The order is not given.

## TableParseSortKey() [3/3]

casacore::TableParseSortKey::TableParseSortKey | ( | const TableExprNode & | ,
|  | Sort::Order | )

Construct from a given expression and order.

## Member Function Documentation

## addSortValues()

std::shared_ptr< ArrayBase > casacore::TableParseSortKey::addSortValues | ( | Sort & | sort,
|  | Sort::Order | mainOrder,
|  | const Vector< rownr_t > & | ) const

Add the values of the sort key to the Sort object by reading the values of the expression into an array.

The array has to be deletedlater after the full sort is done.

## checkNode()

void casacore::TableParseSortKey::checkNode | ( |  | ) | const

private

Check if the node results in a scalar and does not contain aggregate functions.

## node()

const TableExprNode & casacore::TableParseSortKey::node | ( |  | ) | const

inline

Get the expression node.

Definition at line 67 of file TableParseSortKey.h.

References node_p.

## order()

Sort::Order casacore::TableParseSortKey::order | ( |  | ) | const

inline

Get the sort order.

Definition at line 71 of file TableParseSortKey.h.

References order_p.

## orderGiven()

Bool casacore::TableParseSortKey::orderGiven | ( |  | ) | const

inline

Is the order given?

Definition at line 75 of file TableParseSortKey.h.

References given_p.

## Member Data Documentation

## given_p

Bool casacore::TableParseSortKey::given_p

private

Definition at line 92 of file TableParseSortKey.h.

Referenced by orderGiven().

## node_p

TableExprNode casacore::TableParseSortKey::node_p

private

Definition at line 90 of file TableParseSortKey.h.

Referenced by node().

## order_p

Sort::Order casacore::TableParseSortKey::order_p

private

Definition at line 91 of file TableParseSortKey.h.

Referenced by order().

The documentation for this class was generated from the following file:

- tables/TaQL/TableParseSortKey.h